Bug 65439 - vim defaults to color mode
vim defaults to color mode
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-24 01:02 EDT by Joe Acosta
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-24 01:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2002-05-24 01:02:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
It seems that in 7.3 doing vi /etc/named.conf (or any other file) starts vim in
color mode. This is fine if you have a white background, but with a black
background you cannot see most of the text.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. vi a file in 7.3
2. make sure you have no .vimrc 
3. make sure the background of the xterm is a dark blue-black color.
	

Actual Results:  dark unradable colors

Expected Results:  forground color on background color

Additional info:

syntax highlightening (sp) is good, but only if you can read th4e text.  The
default behavior should be off like in RH 5.0 to 7.2 versions.
Comment 1 Karsten Hopp 2002-07-09 06:54:57 EDT
syntax highlighting will stay as the default as this is easier for Linux newbies.  
You can turn this off by adding 'unalias vi' to your ~/.bashrc. Or you can add the following 
to your .vimrc and switch between the syntax modes with F7: 
:map <F7> :if exists("syntax_on") <Bar> 
        \   syntax off <Bar> 
        \ else <Bar> 
        \   syntax enable <Bar> 
        \ endif <CR> 
        \ <CR>
Comment 2 Bill Carlson 2002-07-23 11:12:09 EDT
Additional way to fix this "problem".

in ~/.vimrc (create if needed) put:

set background=dark

This will select a color palette that is more suitable for an xterm with a
'dark' background. One can also set this while running vim to temporarily change
the color palette.

Note that Redhat 7.x seems to have changed the default value for background from
'dark' to 'light' in vim.

Note You need to log in before you can comment on or make changes to this bug.